[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: question about yum install dependency conflict



Fei Liu wrote:
Hi Group, I am trying to install wine on FC5 i386. My question is how to force yum to ignore this error and just install wine? (I have searched the web, mailing etc and found nothing really useful). Ultimately I would like to install IE6 on FC5 using IE4linux to test web pages. Thanks for your help. Here is the transcript:

# yum -y -t install wine*
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
core                                                                 [1/3]
updates                                                              [2/3]
extras                                                               [3/3]
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wine-esd.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-cms.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-tools.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-capi.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-nas.i386 0:0.9.27-1.fc5 set to be updated
---> Downloading header for wine-arts to pack into transaction set.
wine-arts-0.9.27-1.fc5.i3 100% |=========================|  16 kB    00:00
---> Package wine-arts.i386 0:0.9.27-1.fc5 set to be updated
---> Downloading header for wine-devel to pack into transaction set.
wine-devel-0.9.27-1.fc5.i 100% |=========================|  74 kB    00:00
---> Package wine-devel.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-jack.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-twain.i386 0:0.9.27-1.fc5 set to be updated
---> Downloading header for wine-docs to pack into transaction set.
wine-docs-0.9.27-1.fc5.no 100% |=========================| 5.6 kB    00:00
---> Package wine-docs.noarch 0:0.9.27-1.fc5 set to be updated
---> Package wine-core.i386 0:0.9.27-1.fc5 set to be updated
---> Package wine-ldap.i386 0:0.9.27-1.fc5 set to be updated
--> Running transaction check
--> Processing Conflict: dcom conflicts wine
--> Finished Dependency Resolution

# yum -d 5 shows that:
....
--> Running transaction check
# of Deps = 1

Dep Number: 1/1
--> Processing Conflict: dcom conflicts wine
dcom conflicts: wine
miss = 0
conf = 1
CheckDeps = 0
--> Finished Dependency Resolution
Dependency Process ending
Running "postresolve" handler for "installonlyn" plugin
Error: dcom conflicts with wine

# rpm -qa|grep dcom
dcom-license-v7.2.1-51
dcom-v7.2.1-51




Have you thought to remove dcom from the system and then installing wine?

http://www.updatexp.com/dcom-windows-xp.html

Jim

--
The less a statesman amounts to, the more he loves the flag.
		-- Kin Hubbard


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]